List all the users of a group

Purpose: Use this API to fetch a list of all the available users that are in that specific group. You must specify the ID of the group for which you want to view the users, and optionally, you may specify the updated_afterquery parameter to filter out the search.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/groups/<id>/users')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

Response Parameters

Users

  • Type: Array of Objects
  • Description: A list of users with their details.

user

  • Type: Object
  • Description: Details of a specific user.

id

  • Type: Integer
  • Description: The unique identifier for the user.

first_name

  • Type: String
  • Description: The first name of the user.

last_name

  • Type: String
  • Description: The last name of the user.

username

  • Type: String or null
  • Description: The username of the user, if available.

email

  • Type: String or null
  • Description: The email address of the user, if available.

driver_company_id

  • Type: Integer or null
  • Description: The unique identifier for the company associated with the driver, if available.

status

  • Type: String
  • Description: The status of the user.

role

  • Type: String
  • Description: The role of the user within the company.

Path Params
int32
required

Specify the ID of the group for which you want to check the users.

Query Params
date

Specify the date after which the list of users was updated.

Headers
string

Time zone used to format timestamps.

boolean

System of units to use to convert different metrics. true for metric units and false for imperial units.

int32

ID of the Fleet Admin accessing the API.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json